function plot_result(arr1,arr2,rise_time,temp_r,t_max,maxim,str,txt0,txt1,txt2,max_time,ref_deg,res_graph)
figure(1);
subplot(1,2,2);
delete(subplot(1,2,2));
subplot(1,2,2);
title(str);
axis([0 max_time 0 400]);
xlabel('Time in Seconds');
ylabel('Angle in degrees');
hline = refline([0 ref_deg]);
hline.Color='r';
hold on;
v_y=[1:1:400];
v_x=arr2(1)*ones(1,400);
plot(v_x,v_y,'Color',[0,0,0]);
hold on;
plot(arr2,smooth(arr1),'.','Color',[0.7,0.7,0]);
plot(rise_time,temp_r,'r*');
plot(t_max,maxim,'r*');
plot(arr2(length(arr2)-1),arr1(length(arr1)),'r*');
text((max_time/3),(340),txt0);
text((max_time/3),(320),txt1);
text((max_time/3),(300),txt2);
text((arr2(1)+0.1),(10),'Initial Setup Time','Color',[0,0,0],'FontSize',6);
grid on;
grid minor;
hold on;

end